Invoices & invoice payments
Get Bulk Invoice Payment Transactions
Returns token transactions grouped by invoice for several invoice payments.
POSThttps://api.toku.com/hris/get-bulk-invoice-payment-transactions
Required scope: payments:read. It also needs banking:read, compensation:read.
curl --request POST \
--url 'https://api.toku.com/hris/get-bulk-invoice-payment-transactions' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"invoicePaymentIDs": [
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
]
}'200 response
{
"success": true,
"transactionsByInvoice": {}
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
invoicePaymentIDsstring<uuid>[]requiredResponse
200Successful response
successbooleanrequiredtransactionsByInvoiceobjectrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits